EMI Plans V2

EMI plans (V2) API will help a merchant in getting a consolidated list of the EMIs enabled on the merchant MIDs across gateways. The response would cover:

  • Card EMIs (Standard, No Cost & Low Cost)

  • Cardless EMIs (Standard, No Cost & Low Cost)

Merchants need to configure the banks and tenure at JusPay’s end for which they wish to provide NO/ LOW Cost EMI to their users. Also if the gateway don't have their own EMI Plans API, then the merchant need to provide the EMI Plans to JusPay. And accordingly, the API response would cover the scenarios.

The response of the API can be directly consumed by the merchant to show the monthly EMI amount and the interest levied to the end customers on the merchant checkout page. The merchant need not do any calculation even in case of Low/ No Cost EMI.

API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/v2/emi/plans
Production Link
POST
https://api.juspay.in/v2/emi/plans
Headers
Body
200 : Success

API Latency Guidelines

What is API Latency?

Time taken by the server to respond to the API request.

TP50 (ms): This represents the median latency, meaning 50% of all requests are completed in this time or less. It indicates the typical performance experienced by the majority of users.

TP90 (ms): This value shows that 90% of requests are completed within this time, leaving 10% of requests that take longer. It gives insight into the performance for a broader set of users, beyond the median.

TP99 (ms): This value indicates that 99% of requests finish within this time, with only 1% of requests taking longer. It helps identify outlier cases where latency may become an issue for a small group of users.

TP99.9 (ms): This metric captures extreme latency outliers, where only 0.1% of requests take longer than this value. It’s useful for understanding edge cases where performance degrades for very few users.

TP99.99 (ms): This measures the most rare and severe performance outliers, where just 0.01% of requests exceed this time. Monitoring this helps in addressing the rarest and most critical latency issues that may impact user experience in exceptional scenarios.

Note

Please note that this API call has an external dependency, as it dynamically fetches EMI plans configured at the respective PG's end. Therefore, the response time of this API request is dependent on the underlying PG's response time.

Scroll inside to view more
Transaction Percentile
Latency (ms)
TP50 (ms)
114
TP90 (ms)
666.85
TP99 (ms)
2909.85
TP99.9 (ms)
7548.14
Warning

The recommended timeouts are based on TP99.9 data, though edge cases (0.01% of requests) may still exceed these limits and are captured in the TP99.99 data as shown below.

Scroll inside to view more
Transaction Percentile
Latency (ms)
TP99.99 (ms)
11424.28
Last updated 1 month ago